// Edit me!

/* Available functions:
select, onlyColumns, addColumns, alias, 
where, column, foreignColumn, table,
value, parameter, 
not, anyOf, allOf,
lessThan, moreThan, equals,
expression, unsafeSQL
*/

let niceNumbers = anyOf([ 1, 2, 3 ]);

query = select("projects", [
	where({
		number_one: niceNumbers,
		number_two: allOf([
			niceNumbers,
			lessThan(2)
	    ])
	}),
	where({
		number_three: anyOf([ 42, column("number_one") ]),
		number_four: 1337
	})
]);
